summaryrefslogtreecommitdiff
path: root/source4/lib/ldb/tests/test-generic.sh
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-06-22 03:08:06 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:18:41 -0500
commitc97e6081e6152afd02aab1a402037c0b37263d19 (patch)
tree23ad28254a5643a1382c23c9baabc3c7fa675610 /source4/lib/ldb/tests/test-generic.sh
parentfdc0450db25021eddcc65d032fd3fd8ca5976928 (diff)
downloadsamba-c97e6081e6152afd02aab1a402037c0b37263d19.tar.gz
samba-c97e6081e6152afd02aab1a402037c0b37263d19.tar.bz2
samba-c97e6081e6152afd02aab1a402037c0b37263d19.zip
r7831: use cn=TEST as base of test DNs so we don't interfere with potentially real records
(This used to be commit 2a426f654db668f4bfc899771dd11598e295b774)
Diffstat (limited to 'source4/lib/ldb/tests/test-generic.sh')
-rwxr-xr-xsource4/lib/ldb/tests/test-generic.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/source4/lib/ldb/tests/test-generic.sh b/source4/lib/ldb/tests/test-generic.sh
index 2df22e756c..02325b8356 100755
--- a/source4/lib/ldb/tests/test-generic.sh
+++ b/source4/lib/ldb/tests/test-generic.sh
@@ -12,8 +12,8 @@ echo "Showing modified record"
$VALGRIND bin/ldbsearch '(uid=uham)' || exit 1
echo "Rename entry"
-OLDDN="cn=Ursula Hampster,ou=Alumni Association,ou=People,o=University of Michigan,c=US"
-NEWDN="cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=US"
+OLDDN="cn=Ursula Hampster,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST"
+NEWDN="cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST"
$VALGRIND bin/ldbrename "$OLDDN" "$NEWDN" || exit 1
echo "Showing renamed record"
@@ -39,13 +39,13 @@ $VALGRIND bin/ldbsearch '(&(objectclass=person)(uid=uham)(!(uid=uhamxx)))' uid \
$VALGRIND bin/ldbsearch '(&(uid=uham)(uid=uha*)(title=*))' uid || exit 1
$VALGRIND bin/ldbsearch '((' uid && exit 1
$VALGRIND bin/ldbsearch '(objectclass=)' uid || exit 1
-$VALGRIND bin/ldbsearch -b 'cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=US' -s base "" sn || exit 1
+$VALGRIND bin/ldbsearch -b 'cn=Hampster Ursula,ou=Alumni Association,ou=People,o=University of Michigan,c=TEST' -s base "" sn || exit 1
echo "Starting ldbtest indexed"
time $VALGRIND bin/ldbtest --num-records 1000 --num-searches 5000 || exit 1
echo "Testing one level search"
-count=`$VALGRIND bin/ldbsearch -b 'ou=Groups,o=University of Michigan,c=US' -s one 'objectclass=*' none |grep ^dn | wc -l`
+count=`$VALGRIND bin/ldbsearch -b 'ou=Groups,o=University of Michigan,c=TEST' -s one 'objectclass=*' none |grep ^dn | wc -l`
if [ "$count" != 3 ]; then
echo returned $count records - expected 3
exit 1